<div class="miam-catalog-header">
  <div class="miam-catalog-header__picture">
    <div class="miam-catalog-header__picture__gradient"></div>
    <img class="miam-catalog-header__picture__img" [src]="recipe?.attributes['media-url']">
    <!-- <img class="miam-catalog-header__picture__img" src="https://storage.googleapis.com/images.miam.tech/recettes/backup/courgettes-farcies-au-veau-b4377e51-2ae1-4456-b2a2-88ba505c4997.jpg"> -->
  </div>

  <div *ngIf="isInCategoryMode" class="miam-catalog-header__return" (click)="switchToCategoriesMode()">
    <ng-miam-icon height='20' width='20' primaryColor="var(--m-color-primary)"  [iconName]="icon.ChevronDown"></ng-miam-icon>
    Retour
  </div>

  <div class="miam-catalog-header__content">
    <div class="miam-catalog-header__title">
      {{title}}
    </div>
    <div class="miam-catalog-header__searchbar">
      <input 
        type="text" 
        placeholder="Je cherche une recette ou un ingrédient que j'aime" 
        class="miam-catalog-header__searchbar__input"
        [(ngModel)]="searchString"
        (keydown.enter)="searchBar()"
      >
      <ng-miam-icon 
        class="miam-catalog-header__searchbar__icon" 
        (click)="searchBar()" 
        [iconName]="icon.Search"
        primaryColor="var(--m-color-primary)">
      </ng-miam-icon>
    </div>
    
  </div>

  <div class="miam-catalog-header__link" (click)="openRecipe()">
    Découvrez une recette de la semaine : {{recipe?.attributes.title}}
    <ng-miam-icon class="miam-catalog-header__link__icon" [width]="24" [height]="24" primaryColor='var(--m-color-white)' [iconName]="icon.Help"></ng-miam-icon>
  </div>
</div>